THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)

Ok

PUBLISHED

CVE-2024-37051

Reserved:2024-05-31
Published:2024-06-10
Updated:2024-06-11

Description

GitHub access token could be exposed to third-party sites in JetBrains IDEs after version 2023.1 and less than: IntelliJ IDEA 2023.1.7, 2023.2.7, 2023.3.7, 2024.1.3, 2024.2 EAP3; Aqua 2024.1.2; CLion 2023.1.7, 2023.2.4, 2023.3.5, 2024.1.3, 2024.2 EAP2; DataGrip 2023.1.3, 2023.2.4, 2023.3.5, 2024.1.4; DataSpell 2023.1.6, 2023.2.7, 2023.3.6, 2024.1.2, 2024.2 EAP1; GoLand 2023.1.6, 2023.2.7, 2023.3.7, 2024.1.3, 2024.2 EAP3; MPS 2023.2.1, 2023.3.1, 2024.1 EAP2; PhpStorm 2023.1.6, 2023.2.6, 2023.3.7, 2024.1.3, 2024.2 EAP3; PyCharm 2023.1.6, 2023.2.7, 2023.3.6, 2024.1.3, 2024.2 EAP2; Rider 2023.1.7, 2023.2.5, 2023.3.6, 2024.1.3; RubyMine 2023.1.7, 2023.2.7, 2023.3.7, 2024.1.3, 2024.2 EAP4; RustRover 2024.1.1; WebStorm 2023.1.6, 2023.2.7, 2023.3.7, 2024.1.4



CRITICAL: 9.3CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:N

Problem types

CWE-522: Insufficiently Protected Credentials

Product status

Default status
unaffected

2023.1 before 2023.1.7
affected

2023.1 before 2023.2.7
affected

2023.1 before 2023.3.7
affected

2023.1 before 2024.1.3
affected

2023.1 before 2024.2 EAP3
affected

Default status
unaffected

Any version before 2024.1.2
affected

Default status
unaffected

2023.1 before 2023.1.7
affected

2023.1 before 2023.2.4
affected

2023.1 before 2023.3.5
affected

2023.1 before 2024.1.3
affected

2023.1 before 2024.2 EAP2
affected

Default status
unaffected

2023.1 before 2023.1.3
affected

2023.1 before 2023.2.4
affected

2023.1 before 2023.3.5
affected

2023.1 before 2024.1.4
affected

Default status
unaffected

2023.1 before 2023.1.6
affected

2023.1 before 2023.2.7
affected

2023.1 before 2023.3.6
affected

2023.1 before 2024.1.2
affected

2023.1 before 2024.2 EAP1
affected

Default status
unaffected

2023.1 before 2023.1.6
affected

2023.1 before 2023.2.7
affected

2023.1 before 2023.3.7
affected

2023.1 before 2024.1.3
affected

2023.1 before 2024.2 EAP3
affected

Default status
unaffected

2023.1 before 2023.2.1
affected

2023.1 before 2023.3.1
affected

2023.1 before 2024.1 EAP2
affected

Default status
unaffected

2023.1 before 2023.1.6
affected

2023.1 before 2023.2.6
affected

2023.1 before 2023.3.7
affected

2023.1 before 2024.1.3
affected

2023.1 before 2024.2 EAP3
affected

Default status
unaffected

2023.1 before 2023.1.6
affected

2023.1 before 2023.2.7
affected

2023.1 before 2023.3.6
affected

2023.1 before 2024.1.3
affected

2023.1 before 2024.2 EAP2
affected

Default status
unaffected

2023.1 before 2023.1.7
affected

2023.1 before 2023.2.5
affected

2023.1 before 2023.3.6
affected

2023.1 before 2024.1.3
affected

Default status
unaffected

2023.1 before 2023.1.7
affected

2023.1 before 2023.2.7
affected

2023.1 before 2023.3.7
affected

2023.1 before 2024.1.3
affected

2023.1 before 2024.2 EAP4
affected

Default status
unaffected

Any version before 2024.1.1
affected

Default status
unaffected

2023.1 before 2023.1.6
affected

2023.1 before 2023.2.7
affected

2023.1 before 2023.3.7
affected

2023.1 before 2024.1.4
affected

References

https://www.jetbrains.com/privacy-security/issues-fixed/

cve.org CVE-2024-37051

nvd.nist.gov CVE-2024-37051

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-37051